# Changelog

## [1.0-beta2] - 2024-01-07
### Added
- CI/CD build
- Make-based build, but it still works with the Arduino IDE!
- XBox controller

### Fixed
- Blue and Yellow cymbal strikes send up and down on the D-pad.
  - This fixes a bug with Clone Hero where Blue, Yellow, and Green pads,
    both cymbal and drum pads,
    triggered a drum and cymbal hit at the same time.
  - Clone Hero's mysterious CymExt1 and CymExt2 are read on Yellow and Blue
    cymbal hits, and must map to dpad up and down. In Windows this might be called "POV Hat";
    in Linux it's called "Hat 0"

### Changed
- The "high hat" pin now causes the yellow cymbal to send a blue cymbal hit,
  similar to devices sold in the past for this express purpose.
  Previously it changed a hat axis,
  because I thought "hat" meant "high hat". Heh.

### Removed
- No more DEBUG option

## [1.0-beta1] - 2024-01-04
